Bug 1328563 - USB stick light flashes continuously while LUC is running, whether it's read/writing or not
Summary: USB stick light flashes continuously while LUC is running, whether it's read/...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator   
(Show other bugs)
Version: 24
Hardware: Unspecified Windows
low
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-04-19 17:10 UTC by Chris Murphy
Modified: 2017-08-08 14:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 14:16:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Murphy 2016-04-19 17:10:38 UTC
Description of problem:

USB stick's light starts flashing as soon as LUC is launched, and doesn't stop until LUC has been quit. So it's kinda confusing whether it's really done writing, or what it's doing while this is happening.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Insert USB stick
2. Launch LUC
3. Quit LUC

Actual results:

Light on USB stick flashes the entire time, with the same flashing pattern, while LUC is running, whether it's reading or writing or doing nothing to the stick (that I'm aware of). As soon as LUC is quit, the flashing stops.

Expected results:

Light flashes only when LUC is reading or writing to/from stick.

Additional info:

Microsoft has a USB installer creation tool and it doesn't behave this way in the same setup. So I'm skeptical this problem is an artifact of it being Windows running in a libvirt/virt-manager VM, but maybe it's related.

Comment 1 Martin Bříza 2016-04-20 08:34:16 UTC
Really low priority on my list now but thanks for noticing. Seems there are some unnecessary reads worth fixing in the future.

Comment 3 Fedora End Of Life 2017-07-25 20:34:37 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 14:16:26 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.